Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:2.16.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23511

Description

Hi,

I receive the error below when trying to run a GRASS command from the processing toolbox:

2016-09-20T12:07:28    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 314, in

processAlgorithm

                Grass7Utils.executeGrass7(self.commands, progress, self.outputCommands)

              File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\algs\\grass7\\Grass7Utils.py", line 268, in

executeGrass7

                env=grassenv

              File "C:\\PROGRA~1\\QGIS2~1.16\\apps\\Python27\\lib\\subprocess.py", line 711, in init

                errread, errwrite)

              File "C:\\PROGRA~1\\QGIS2~1.16\\apps\\Python27\\lib\\subprocess.py", line 948, in _execute_child

                startupinfo)

            TypeError: environment can only contain string

I found a previous issue in the tracker with the same problem, but it was closed as it was unable to be reproduced.

I have found that it is due to the OpenLayers Plugin being installed. Uninstalling the plugin resolves the issue.

Apologies, but I can't help more than that.

Regards

J

History

#1 - 2016-12-28 09:41 AM - Alexander Bruy

- Priority changed from Severe/Regression to Normal

- Category changed from Python plugins to Processing/GRASS

Please provide more details how to reproduce this bug. Works fine here under Linux and Windows 7

2025-04-27 1/2



#2 - 2016-12-28 09:41 AM - Alexander Bruy

- Status changed from Open to Feedback

#3 - 2017-01-11 12:51 AM - Michel ZEVORT

Hello,

I have this problem when the OpenLayers Plugin is actived.

I work with Qgis 2.16.3, 64 bits under Windows7.

This problem is also discribed in #15412.

#4 - 2017-01-12 04:59 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

Note: the OpenLayes plugin seems to cause problems in Processing as reported and confirmed by some (but not others), but the error is different from the

one reported here.
